aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2009-02-15 18:59:42 +0000
committerAvatar David Leverton <levertond@googlemail.com> 2009-02-15 22:06:17 +0000
commit5493e9054fde96b36eae7927adeaa1a2f93b10e6 (patch)
tree7ae4c24f4f3cf4ffc1ce9ec7b5ac5e024fe65b40 /paludis/repositories/e/ebuild/0/builtin_initmisc.bash
parentfa3f1d98c374fd02fecbd9813d68261dd456119d (diff)
downloadpaludis-5493e9054fde96b36eae7927adeaa1a2f93b10e6.tar.gz
paludis-5493e9054fde96b36eae7927adeaa1a2f93b10e6.tar.xz
Shuffle around the ${builddir}/${cat}-${pkg}-${ver} logic a bit
Leave builtin_*rm alone, so as not to break the upgrade path.
Diffstat (limited to 'paludis/repositories/e/ebuild/0/builtin_initmisc.bash')
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_initmisc.bash8
1 files changed, 4 insertions, 4 deletions
diff --git a/paludis/repositories/e/ebuild/0/builtin_initmisc.bash b/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
index 4c56042aa..720816a63 100644
--- a/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_initmisc.bash
@@ -52,14 +52,14 @@ builtin_initmisc()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" ]] ; then
+ if [[ -e "${PALUDIS_PACKAGE_BUILDDIR}" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_PACKAGE_BUILDDIR}" || die "Couldn't remove previous work"
fi
- export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-misc/temp/"
+ export T="${PALUDIS_PACKAGE_BUILDDIR}"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"